<?php
/**
 * Banner Section
 *
 * @package Mindful Blog
 */

$wp_customize->add_section(
	'mindful_blog_banner_section',
	array(
		'panel' => 'mindful_blog_front_page_options',
		'title' => esc_html__( 'Banner Section', 'mindful-blog' ),
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'mindful_blog_enable_banner_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'mindful_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Mindful_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'mindful_blog_enable_banner_section',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'mindful-blog' ),
			'section'  => 'mindful_blog_banner_section',
			'settings' => 'mindful_blog_enable_banner_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'mindful_blog_enable_banner_section',
		array(
			'selector' => '#mindful_blog_banner_section .section-link',
			'settings' => 'mindful_blog_enable_banner_section',
		)
	);
}

// Banner Section - Banner Slider Content Type.
$wp_customize->add_setting(
	'mindful_blog_banner_slider_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'mindful_blog_sanitize_select',
	)
);

$wp_customize->add_control(
	'mindful_blog_banner_slider_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'mindful-blog' ),
		'section'         => 'mindful_blog_banner_section',
		'settings'        => 'mindful_blog_banner_slider_content_type',
		'type'            => 'select',
		'active_callback' => 'mindful_blog_is_banner_slider_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'mindful-blog' ),
			'category' => esc_html__( 'Category', 'mindful-blog' ),
		),
	)
);

for ( $mindful_blog_i = 1; $mindful_blog_i <= 3; $mindful_blog_i++ ) {
	// Banner Section - Select Banner Post.
	$wp_customize->add_setting(
		'mindful_blog_banner_slider_content_post_' . $mindful_blog_i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'mindful_blog_banner_slider_content_post_' . $mindful_blog_i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'mindful-blog' ), $mindful_blog_i ),
			'section'         => 'mindful_blog_banner_section',
			'settings'        => 'mindful_blog_banner_slider_content_post_' . $mindful_blog_i,
			'active_callback' => 'mindful_blog_is_banner_slider_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => mindful_blog_get_post_choices(),
		)
	);

}

// Banner Section - Select Banner Category.
$wp_customize->add_setting(
	'mindful_blog_banner_slider_content_category',
	array(
		'sanitize_callback' => 'mindful_blog_sanitize_select',
	)
);

$wp_customize->add_control(
	'mindful_blog_banner_slider_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'mindful-blog' ),
		'section'         => 'mindful_blog_banner_section',
		'settings'        => 'mindful_blog_banner_slider_content_category',
		'active_callback' => 'mindful_blog_is_banner_slider_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => mindful_blog_get_post_cat_choices(),
	)
);
